From jonatas, 11 Months ago, written in Plain Text.
This paste will go to its last resting place in 1 Second.
This paste is a reply to qutebrowser metapaste from The Compiler
- view diff
Embed
  1. ========== Report ==========
  2.  
  3.  
  4.  
  5. ========== Contact ==========
  6.  
  7.  
  8.  
  9. ========== Debug log ==========
  10.  
  11. ==== Exception ====
  12. Traceback (most recent call last):
  13.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  14.     sect.setv(layer, optname, value, interpolated)
  15.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  16.     self.values[key].setv(layer, value, interpolated)
  17. KeyError: 'history-session-interval'
  18.  
  19. During handling of the above exception, another exception occurred:
  20.  
  21. Traceback (most recent call last):
  22.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  23.     relaxed=args.relaxed_config)
  24.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  25.     self._from_cp(parser, relaxed)
  26.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  27.     self._from_cp_section(sectname, cp, relaxed)
  28.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  29.     self.set('conf', sectname, k, v, validate=False)
  30.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  31.     raise configexc.NoOptionError(optname, sectname)
  32. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  33.  
  34. During handling of the above exception, another exception occurred:
  35.  
  36. Traceback (most recent call last):
  37.   File "/usr/lib64/python3.4/site-packages/qutebrowser/app.py", line 109, in <lambda>
  38.     target_arg=target_arg))
  39.   File "/usr/lib64/python3.4/site-packages/qutebrowser/app.py", line 271, in process_pos_args
  40.     open_target = config.get('general', 'new-instance-open-target')
  41.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 129, in get
  42.     return objreg.get('config').get(*args, **kwargs)
  43.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  44.     return reg[name]
  45.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  46.     raise KeyError(key)
  47. KeyError: 'config'
  48.  
  49.  
  50. ==== Timestamps ====
  51. Launch: Mon Oct 16 19:16:23 2017
  52. Crash: Mon Oct 16 19:16:25 2017
  53.  
  54. ==== Version info ====
  55. qutebrowser v0.9.1
  56. Git commit:
  57.  
  58. CPython: 3.4.5
  59. Qt: 5.7.1 (compiled 5.6.2)
  60. PyQt: 5.7.1
  61.  
  62. sip: 4.19.1
  63. colorama: no
  64. pypeg2: 2.15
  65. jinja2: 2.9.5
  66. pygments: 2.2.0
  67. yaml: 3.12
  68. cssutils: 1.0.1 $Id$
  69. typing: no
  70. PyQt5.QtWebEngineWidgets: no
  71. pdf.js: no
  72. Webkit: 538.1
  73. SSL: OpenSSL 1.0.2l  25 May 2017
  74.  
  75. Style: QFusionStyle
  76. Platform: Linux-4.9.16-gentoo-x86_64-Intel-R-_Core-TM-_i3_CPU_M_370_@_2.40GHz-with-gentoo-2.4.1, 64bit
  77. Frozen: False
  78. Imported from /usr/lib64/python3.4/site-packages/qutebrowser
  79. OS Version:
  80.  
  81. --- /etc/os-release ---
  82. NAME=Gentoo
  83. ID=gentoo
  84. PRETTY_NAME="Gentoo/Linux"
  85.  
  86. --- /etc/gentoo-release ---
  87. Gentoo Base System release 2.4.1
  88.  
  89. Paths:
  90. cache: /home/jonatas/.cache/qutebrowser
  91. config: /home/jonatas/.config/qutebrowser
  92. runtime: /var/run/user/1000/qutebrowser
  93. data: /home/jonatas/.local/share/qutebrowser
  94. system_data: /home/jonatas/.local/share/qutebrowser
  95. download: /home/jonatas/Downloads
  96.  
  97. ==== Config ====
  98. Traceback (most recent call last):
  99.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  100.     sect.setv(layer, optname, value, interpolated)
  101.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  102.     self.values[key].setv(layer, value, interpolated)
  103. KeyError: 'history-session-interval'
  104.  
  105. During handling of the above exception, another exception occurred:
  106.  
  107. Traceback (most recent call last):
  108.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  109.     relaxed=args.relaxed_config)
  110.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  111.     self._from_cp(parser, relaxed)
  112.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  113.     self._from_cp_section(sectname, cp, relaxed)
  114.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  115.     self.set('conf', sectname, k, v, validate=False)
  116.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  117.     raise configexc.NoOptionError(optname, sectname)
  118. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  119.  
  120. During handling of the above exception, another exception occurred:
  121.  
  122. Traceback (most recent call last):
  123.   File "/usr/lib64/python3.4/site-packages/qutebrowser/misc/crashdialog.py", line 257, in _gather_crash_info
  124.     conf = objreg.get('config')
  125.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  126.     return reg[name]
  127.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  128.     raise KeyError(key)
  129. KeyError: 'config'
  130.  
  131.  
  132. ==== Environment ====
  133. LANG = pt_BR.utf8
  134. LC_COLLATE = C
  135. LC_CTYPE = pt_BR.utf8
  136. PATH = /usr/local/bin:/usr/bin:/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/5.4.0:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/games/bin
  137. QT_GRAPHICSSYSTEM = raster
  138. XDG_CONFIG_DIRS = /etc/xdg
  139. XDG_DATA_DIRS = /usr/local/share:/usr/share
  140. XDG_RUNTIME_DIR = /var/run/user/1000
  141. XDG_SESSION_COOKIE = gentoo-1508190042.578803-1475869854
  142.  
  143. ==== Commandline args ====
  144. /home/jonatas/Documentos/myGuiaInstacaoArchGentoo/archInstall.html
  145.  
  146. ==== Open Pages ====
  147.  
  148.  
  149. ==== Command history ====
  150.  
  151.  
  152. ==== Objects ====
  153.  
  154. Qt widgets - 7 objects:
  155.     <PyQt5.QtWidgets.QDesktopWidget object at 0x7f7b9d66d828>
  156.     <PyQt5.QtWidgets.QDialogButtonBox object at 0x7f7b9d66d678>
  157.     <PyQt5.QtWidgets.QLabel object at 0x7f7b9d66d168>
  158.     <PyQt5.QtWidgets.QLabel object at 0x7f7b9d66d708>
  159.     <PyQt5.QtWidgets.QMessageBox object at 0x7f7b9d66d048>
  160.     <PyQt5.QtWidgets.QPushButton object at 0x7f7b9d66d8b8>
  161.     <PyQt5.QtWidgets.QWidget object at 0x7f7b9d66d798>
  162.  
  163. Qt objects - 7 objects:
  164.     <PyQt5.QtCore.QAbstractEventDispatcher object at 0x7f7b9d66d828>
  165.     <PyQt5.QtGui.QSessionManager object at 0x7f7b9d66d678>
  166.     <qutebrowser.misc.crashsignal.CrashHandler object at 0x7f7ba22bc1f8>
  167.     <qutebrowser.misc.crashsignal.SignalHandler object at 0x7f7ba22bc5e8>
  168.         <PyQt5.QtCore.QSocketNotifier object at 0x7f7ba22bc948>
  169.     <qutebrowser.misc.savemanager.SaveManager saveables=OrderedDict([('version', <qutebrowser.misc.savemanager.Saveable config_opt=None dirty=False filename=None name='version' save_handler=<function _save_version at 0x7f7ba0c479d8> save_on_exit=True>)])>
  170.     <qutebrowser.config.config.ConfigManager fname='qutebrowser.conf'>
  171.  
  172. global object registry - 9 objects:
  173.     readline-bridge: <qutebrowser.misc.readline.ReadlineBridge>
  174.     signal-handler: <qutebrowser.misc.crashsignal.SignalHandler object at 0x7f7ba22bc5e8>
  175.     prompt-queue: <qutebrowser.mainwindow.prompt.PromptQueue loops=0 question=None queue=0>
  176.     args: Namespace(backend='webkit', basedir=None, color=True, command=['/home/jonatas/Documentos/myGuiaInstacaoArchGentoo/archInstall.html'], debug=False, debug_exit=False, enable_webengine_inspector=False, force_color=False, harfbuzz='auto', json_args=None, json_logging=False, logfilter=None, loglevel='info', loglines=2000, no_err_windows=False, nowindow=False, override_restore=False, pdb_postmortem=False, qt_arg=None, qt_flag=None, relaxed_config=False, session=None, target=None, temp_basedir=False, temp_basedir_restarted=None, temp_settings=[], url=[], version=False)
  177.     save-manager: <qutebrowser.misc.savemanager.SaveManager saveables=OrderedDict([('version', <qutebrowser.misc.savemanager.Saveable config_opt=None dirty=False filename=None name='version' save_handler=<function _save_version at 0x7f7ba0c479d8> save_on_exit=True>)])>
  178.     ipc-server: <qutebrowser.misc.ipc.IPCServer object at 0x7f7ba0c28dc8>
  179.     app: <qutebrowser.app.Application>
  180.     crash-handler: <qutebrowser.misc.crashsignal.CrashHandler object at 0x7f7ba22bc1f8>
  181.     quitter: <qutebrowser.app.Quitter object at 0x7f7ba30e1f60>
  182.  
  183. ==== Debug log ====
  184. 19:16:17 DEBUG    init       earlyinit:init_log:327 Log initialized.
  185. 19:16:17 DEBUG    init       earlyinit:fix_harfbuzz:203 Using system harfbuzz engine (auto)
  186. 19:16:22 DEBUG    init       app:__init__:751 Qt arguments: ['/usr/lib/python-exec/python3.4/qutebrowser'], based on Namespace(backend='webkit', basedir=None, color=True, command=['/home/jonatas/Documentos/myGuiaInstacaoArchGentoo/archInstall.html'], debug=False, debug_exit=False, enable_webengine_inspector=False, force_color=False, harfbuzz='auto', json_args=None, json_logging=False, logfilter=None, loglevel='info', loglines=2000, no_err_windows=False, nowindow=False, override_restore=False, pdb_postmortem=False, qt_arg=None, qt_flag=None, relaxed_config=False, session=None, target=None, temp_basedir=False, temp_basedir_restarted=None, temp_settings=[], url=[], version=False)
  187. 19:16:23 DEBUG    init       app:__init__:754 Initializing application...
  188. 19:16:23 DEBUG    init       app:run:80 Initializing directories...
  189. 19:16:23 DEBUG    init       standarddir:init:203 Base directory: None
  190. 19:16:23 DEBUG    misc       standarddir:_writable_location:143 writable location for CacheLocation: /home/jonatas/.cache/qutebrowser
  191. 19:16:23 DEBUG    misc       standarddir:_writable_location:143 writable location for AppLocalDataLocation: /home/jonatas/.local/share/qutebrowser
  192. 19:16:23 DEBUG    misc       standarddir:_writable_location:143 writable location for CacheLocation: /home/jonatas/.cache/qutebrowser
  193. 19:16:23 DEBUG    misc       standarddir:_writable_location:143 writable location for RuntimeLocation: /var/run/user/1000
  194. 19:16:23 DEBUG    ipc        ipc:_has_legacy_server:424 Trying to connect to qutebrowser-jonatas
  195. 19:16:23 DEBUG    ipc        ipc:_has_legacy_server:431 Socket error: QLocalSocket::connectToServer: Invalid name (2)
  196. 19:16:23 DEBUG    ipc        ipc:send_to_running_instance:471 Connecting to /var/run/user/1000/qutebrowser/ipc-3f83164cab55dccb72d71c7d8fcbef60
  197. 19:16:23 DEBUG    ipc        ipc:send_to_running_instance:504 No existing instance present (error 2)
  198. 19:16:23 DEBUG    init       ipc:send_or_listen:534 Starting IPC server...
  199. 19:16:23 DEBUG    ipc        ipc:__init__:192 Not calling setSocketOptions
  200. 19:16:23 DEBUG    ipc        ipc:listen:203 Listening as /var/run/user/1000/qutebrowser/ipc-3f83164cab55dccb72d71c7d8fcbef60
  201. 19:16:23 DEBUG    init       app:init:132 Starting init...
  202. 19:16:23 DEBUG    init       app:_init_modules:378 Initializing prompts...
  203. 19:16:23 DEBUG    init       app:_init_modules:381 Initializing save manager...
  204. 19:16:23 DEBUG    init       app:_init_modules:386 Initializing network...
  205. 19:16:23 DEBUG    init       networkmanager:init:94 Default Qt ciphers: SRP-DSS-AES-256-CBC-SHA, SRP-RSA-AES-256-CBC-SHA, SRP-AES-256-CBC-SHA, DH-DSS-AES256-GCM-SHA384, DHE-DSS-AES256-GCM-SHA384, DH-RSA-AES256-GCM-SHA384, DHE-RSA-AES256-GCM-SHA384, DHE-RSA-AES256-SHA256, DHE-DSS-AES256-SHA256, DH-RSA-AES256-SHA256, DH-DSS-AES256-SHA256, DHE-RSA-AES256-SHA, DHE-DSS-AES256-SHA, DH-RSA-AES256-SHA, DH-DSS-AES256-SHA, DHE-RSA-CAMELLIA256-SHA, DHE-DSS-CAMELLIA256-SHA, DH-RSA-CAMELLIA256-SHA, DH-DSS-CAMELLIA256-SHA, AES256-GCM-SHA384, AES256-SHA256, AES256-SHA, CAMELLIA256-SHA, PSK-AES256-CBC-SHA, SRP-DSS-AES-128-CBC-SHA, SRP-RSA-AES-128-CBC-SHA, SRP-AES-128-CBC-SHA, DH-DSS-AES128-GCM-SHA256, DHE-DSS-AES128-GCM-SHA256, DH-RSA-AES128-GCM-SHA256, DHE-RSA-AES128-GCM-SHA256, DHE-RSA-AES128-SHA256, DHE-DSS-AES128-SHA256, DH-RSA-AES128-SHA256, DH-DSS-AES128-SHA256, DHE-RSA-AES128-SHA, DHE-DSS-AES128-SHA, DH-RSA-AES128-SHA, DH-DSS-AES128-SHA, DHE-RSA-SEED-SHA, DHE-DSS-SEED-SHA, DH-RSA-SEED-SHA, DH-DSS-SEED-SHA, DHE-RSA-CAMELLIA128-SHA, DHE-DSS-CAMELLIA128-SHA, DH-RSA-CAMELLIA128-SHA, DH-DSS-CAMELLIA128-SHA, AES128-GCM-SHA256, AES128-SHA256, AES128-SHA, SEED-SHA, CAMELLIA128-SHA, IDEA-CBC-SHA, PSK-AES128-CBC-SHA, RC4-SHA, RC4-MD5, PSK-RC4-SHA
  206. 19:16:23 DEBUG    init       networkmanager:init:110 Disabling bad ciphers: RC4-SHA, RC4-MD5, PSK-RC4-SHA
  207. 19:16:23 DEBUG    init       app:_init_modules:389 Initializing readline-bridge...
  208. 19:16:23 DEBUG    init       app:_init_modules:393 Initializing config...
  209. 19:16:23 DEBUG    misc       standarddir:_writable_location:143 writable location for ConfigLocation: /home/jonatas/.config
  210. 19:16:23 DEBUG    init       ini:__init__:54 Reading config from /home/jonatas/.config/qutebrowser/qutebrowser.conf
  211. 19:16:23 ERROR    init       config:_init_main_config:149 No option 'history-session-interval' in section 'ui'
  212. Traceback (most recent call last):
  213.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  214.     sect.setv(layer, optname, value, interpolated)
  215.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  216.     self.values[key].setv(layer, value, interpolated)
  217. KeyError: 'history-session-interval'
  218.  
  219. During handling of the above exception, another exception occurred:
  220.  
  221. Traceback (most recent call last):
  222.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  223.     relaxed=args.relaxed_config)
  224.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  225.     self._from_cp(parser, relaxed)
  226.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  227.     self._from_cp_section(sectname, cp, relaxed)
  228.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  229.     self.set('conf', sectname, k, v, validate=False)
  230.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  231.     raise configexc.NoOptionError(optname, sectname)
  232. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  233. 19:16:24 DEBUG    misc       app:on_focus_object_changed:768 Focus object changed: <PyQt5.QtWidgets.QPushButton object at 0x7f7b9d66d0d8>
  234. 19:16:25 DEBUG    ipc        ipc:handle_connection:258 Client connected (socket 0x7f7b9d66d0d8).
  235. 19:16:25 DEBUG    ipc        ipc:on_ready_read:358 Read from socket 0x7f7b9d66d0d8: b'{"protocol_version": 1, "args": ["/home/jonatas/Documentos/myGuiaInstacaoArchGentoo/archInstall.html"], "target_arg": null, "version": "0.9.1", "cwd": "/home/jonatas/Documentos/myGuiaInstacaoArchGentoo"}\n'
  236. 19:16:25 DEBUG    ipc        ipc:_handle_data:306 Processing: {"protocol_version": 1, "args": ["/home/jonatas/Documentos/myGuiaInstacaoArchGentoo/archInstall.html"], "target_arg": null, "version": "0.9.1", "cwd": "/home/jonatas/Documentos/myGuiaInstacaoArchGentoo"}
  237.  
  238. 19:16:25 ERROR    misc       crashsignal:exception_hook:205 Uncaught exception
  239. Traceback (most recent call last):
  240.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  241.     sect.setv(layer, optname, value, interpolated)
  242.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  243.     self.values[key].setv(layer, value, interpolated)
  244. KeyError: 'history-session-interval'
  245.  
  246. During handling of the above exception, another exception occurred:
  247.  
  248. Traceback (most recent call last):
  249.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  250.     relaxed=args.relaxed_config)
  251.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  252.     self._from_cp(parser, relaxed)
  253.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  254.     self._from_cp_section(sectname, cp, relaxed)
  255.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  256.     self.set('conf', sectname, k, v, validate=False)
  257.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  258.     raise configexc.NoOptionError(optname, sectname)
  259. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  260.  
  261. During handling of the above exception, another exception occurred:
  262.  
  263. Traceback (most recent call last):
  264.   File "/usr/lib64/python3.4/site-packages/qutebrowser/app.py", line 109, in <lambda>
  265.     target_arg=target_arg))
  266.   File "/usr/lib64/python3.4/site-packages/qutebrowser/app.py", line 271, in process_pos_args
  267.     open_target = config.get('general', 'new-instance-open-target')
  268.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 129, in get
  269.     return objreg.get('config').get(*args, **kwargs)
  270.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  271.     return reg[name]
  272.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  273.     raise KeyError(key)
  274. KeyError: 'config'
  275. 19:16:25 ERROR    destroy    crashsignal:_get_exception_info:181 Error while getting history: {}
  276. Traceback (most recent call last):
  277.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  278.     sect.setv(layer, optname, value, interpolated)
  279.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  280.     self.values[key].setv(layer, value, interpolated)
  281. KeyError: 'history-session-interval'
  282.  
  283. During handling of the above exception, another exception occurred:
  284.  
  285. Traceback (most recent call last):
  286.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  287.     relaxed=args.relaxed_config)
  288.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  289.     self._from_cp(parser, relaxed)
  290.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  291.     self._from_cp_section(sectname, cp, relaxed)
  292.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  293.     self.set('conf', sectname, k, v, validate=False)
  294.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  295.     raise configexc.NoOptionError(optname, sectname)
  296. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  297.  
  298. During handling of the above exception, another exception occurred:
  299.  
  300. Traceback (most recent call last):
  301.   File "/usr/lib64/python3.4/site-packages/qutebrowser/misc/crashsignal.py", line 179, in _get_exception_info
  302.     cmd_history = objreg.get('command-history')[-5:]
  303.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  304.     return reg[name]
  305.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  306.     raise KeyError(key)
  307. KeyError: 'command-history'
  308. 19:16:25 ERROR    misc       crashdialog:__init__:166 Failed to get contact information!
  309. Traceback (most recent call last):
  310.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  311.     sect.setv(layer, optname, value, interpolated)
  312.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  313.     self.values[key].setv(layer, value, interpolated)
  314. KeyError: 'history-session-interval'
  315.  
  316. During handling of the above exception, another exception occurred:
  317.  
  318. Traceback (most recent call last):
  319.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  320.     relaxed=args.relaxed_config)
  321.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  322.     self._from_cp(parser, relaxed)
  323.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  324.     self._from_cp_section(sectname, cp, relaxed)
  325.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  326.     self.set('conf', sectname, k, v, validate=False)
  327.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  328.     raise configexc.NoOptionError(optname, sectname)
  329. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  330.  
  331. During handling of the above exception, another exception occurred:
  332.  
  333. Traceback (most recent call last):
  334.   File "/usr/lib64/python3.4/site-packages/qutebrowser/misc/crashdialog.py", line 160, in __init__
  335.     state = objreg.get('state-config')
  336.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  337.     return reg[name]
  338.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  339.     raise KeyError(key)
  340. KeyError: 'state-config'
  341. 19:16:25 ERROR    misc       crashdialog:_init_checkboxes:437 Error while checking private browsing mode
  342. Traceback (most recent call last):
  343.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 893, in set
  344.     sect.setv(layer, optname, value, interpolated)
  345.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/sections.py", line 128, in setv
  346.     self.values[key].setv(layer, value, interpolated)
  347. KeyError: 'history-session-interval'
  348.  
  349. During handling of the above exception, another exception occurred:
  350.  
  351. Traceback (most recent call last):
  352.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 147, in _init_main_config
  353.     relaxed=args.relaxed_config)
  354.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 664, in read
  355.     self._from_cp(parser, relaxed)
  356.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 580, in _from_cp
  357.     self._from_cp_section(sectname, cp, relaxed)
  358.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 614, in _from_cp_section
  359.     self.set('conf', sectname, k, v, validate=False)
  360.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 895, in set
  361.     raise configexc.NoOptionError(optname, sectname)
  362. qutebrowser.config.configexc.NoOptionError: No option 'history-session-interval' in section 'ui'
  363.  
  364. During handling of the above exception, another exception occurred:
  365.  
  366. Traceback (most recent call last):
  367.   File "/usr/lib64/python3.4/site-packages/qutebrowser/misc/crashdialog.py", line 434, in _init_checkboxes
  368.     if config.get('general', 'private-browsing'):
  369.   File "/usr/lib64/python3.4/site-packages/qutebrowser/config/config.py", line 129, in get
  370.     return objreg.get('config').get(*args, **kwargs)
  371.   File "/usr/lib64/python3.4/site-packages/qutebrowser/utils/objreg.py", line 233, in get
  372.     return reg[name]
  373.   File "/usr/lib64/python3.4/collections/__init__.py", line 913, in __getitem__
  374.     raise KeyError(key)
  375. KeyError: 'config'
  376. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for ConfigLocation: /home/jonatas/.config
  377. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for AppLocalDataLocation: /home/jonatas/.local/share/qutebrowser
  378. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for AppLocalDataLocation: /home/jonatas/.local/share/qutebrowser
  379. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for CacheLocation: /home/jonatas/.cache/qutebrowser
  380. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for DownloadLocation: /home/jonatas/Downloads
  381. 19:16:28 DEBUG    misc       standarddir:_writable_location:143 writable location for RuntimeLocation: /var/run/user/1000